// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: commonmodule/commonmodule.proto

package openfmb.commonmodule;

public interface TmHzPointOrBuilder extends
    // @@protoc_insertion_point(interface_extends:commonmodule.TmHzPoint)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * This is an absolute value field.
   * </pre>
   *
   * <code>float hzVal = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The hzVal.
   */
  float getHzVal();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ClearingTime tmVal = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return Whether the tmVal field is set.
   */
  boolean hasTmVal();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ClearingTime tmVal = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The tmVal.
   */
  openfmb.commonmodule.ClearingTime getTmVal();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ClearingTime tmVal = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  openfmb.commonmodule.ClearingTimeOrBuilder getTmValOrBuilder();
}
